org.keycloak.services.clientpolicy

## Class AdminClientRegisterContext

- java.lang.Object
- - org.keycloak.services.clientpolicy.AdminClientRegisterContext

- All Implemented Interfaces:
    ClientPolicyContext, ClientUpdateContext

      public class AdminClientRegisterContext
      extends Object
      implements ClientUpdateContext

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `AdminClientRegisterContext(ClientRepresentation clientRepresentation, AdminAuth adminAuth)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `ClientModel` | `getAuthenticatedClient()` returns `UserModel` of the authenticated client.
    `UserModel` | `getAuthenticatedUser()` returns `UserModel` of the authenticated user.
    `ClientPolicyEvent` | `getEvent()` returns `ClientPolicyEvent` of client policy related events.
    `ClientRepresentation` | `getProposedClientRepresentation()` returns `ClientRepresentation` for creating or updating the current client.
    `JsonWebToken` | `getToken()` returns `JsonWebToken` of the token accompanied with registration/update client

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.keycloak.services.clientpolicy.ClientUpdateContext

      `getClientToBeUpdated`

- - ### Constructor Detail

    - #### AdminClientRegisterContext

          public AdminClientRegisterContext(ClientRepresentation clientRepresentation,
                                            AdminAuth adminAuth)

  - ### Method Detail

    - #### getEvent

          public ClientPolicyEvent getEvent()

      Description copied from interface: `ClientPolicyContext`
      returns `ClientPolicyEvent` of client policy related events.
      Specified by:
        `getEvent` in interface `ClientPolicyContext`
      Returns:
        `ClientPolicyEvent`

    - #### getProposedClientRepresentation

          public ClientRepresentation getProposedClientRepresentation()

      Description copied from interface: `ClientUpdateContext`
      returns `ClientRepresentation` for creating or updating the current client.
      Specified by:
        `getProposedClientRepresentation` in interface `ClientUpdateContext`
      Returns:
        `ClientRepresentation`

    - #### getAuthenticatedClient

          public ClientModel getAuthenticatedClient()

      Description copied from interface: `ClientUpdateContext`
      returns `UserModel` of the authenticated client.
      Specified by:
        `getAuthenticatedClient` in interface `ClientUpdateContext`
      Returns:
        `UserModel`

    - #### getAuthenticatedUser

          public UserModel getAuthenticatedUser()

      Description copied from interface: `ClientUpdateContext`
      returns `UserModel` of the authenticated user.
      Specified by:
        `getAuthenticatedUser` in interface `ClientUpdateContext`
      Returns:
        `UserModel`

    - #### getToken

          public JsonWebToken getToken()

      Description copied from interface: `ClientUpdateContext`
      returns `JsonWebToken` of the token accompanied with registration/update client
      Specified by:
        `getToken` in interface `ClientUpdateContext`
      Returns:
        `JsonWebToken`

Copyright © 2021 JBoss by Red Hat. All rights reserved.